### Hierarchy

- ReadableOptions
  - DuplexOptions

## Index

### Properties

- encoding
- highWaterMark
- objectMode

### Methods

- destroy
- read

## Properties

### Optional encoding

encoding: undefined | string

- Defined in node_modules/@types/node/stream.d.ts:13

### Optional highWaterMark

highWaterMark: undefined | number

- Defined in node_modules/@types/node/stream.d.ts:12

### Optional objectMode

objectMode: undefined | false | true

- Defined in node_modules/@types/node/stream.d.ts:14

## Methods

### Optional destroy

- destroy(this: Readable, error: Error | null, callback: function): void

- - Defined in node_modules/@types/node/stream.d.ts:16

  #### Parameters

  - ##### this: Readable

  - ##### error: Error | null

  - ##### callback: function

    - - (error: Error | null): void

      - #### Parameters

        - ##### error: Error | null

        #### Returns void

### Optional read

- read(this: Readable, size: number): void

- - Defined in node_modules/@types/node/stream.d.ts:15

  #### Parameters

  - ##### this: Readable

  - ##### size: number

  #### Returns void

Generated using TypeDoc